# Interface IThreadListener

All Known Implementing Classes:
  `ImportOperation, WorkspaceModifyDelegatingOperation, WorkspaceModifyOperation`

public interface IThreadListener
A thread listener is an object that is interested in receiving notifications of thread changes. For example, a thread listener can be used to notify a runnable of the thread that will execute it, allowing the runnable to transfer thread-local state from the calling thread before control passes to the new thread.

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`void`
`threadChange(Thread thread)`
Notification that a thread change is occurring.

## Method Details

### threadChange

void threadChange(Thread thread)
Notification that a thread change is occurring.

Parameters:
  `thread` - The new thread